<div class="container-fluid">
    <div class="row">
        <div class="col-sm-12 p-0">
            <div class="main-header" style="margin-top: 0px;">
                <h4>Dashboard</h4>
            </div>
        </div>
    </div>

    <div class="row m-b-30 dashboard-header">
        <div class="col-lg-3 col-sm-6">
            <div class="dashboard-primary bg-primary chart-filter" data-url="<%= chart_data_manager_dashboard_path(filter: 'open') %>">
                <div class="sales-primary">
                    <div class="f-right">
                        <h2 class="counter" style="float: none;"><%= @tickets.where(status: nil).count %></h2>
                        <span><%= link_to 'Tickets Open', tickets_path(status: nil), style: 'color:#ffffff;' %></span>
                    </div>
                    <div style="clear:both;"></div>
                </div>
            </div>
        </div>
   
        <div class="col-lg-3 col-sm-6">
            <div class="bg-success dashboard-success chart-filter" data-url="<%= chart_data_manager_dashboard_path(filter: 'in_progress') %>">
                <div class="sales-success">
                    <div class="f-right">
                        <h2 class="counter" style="float: none;"><%= @tickets.where(status: "in_progress").count %></h2>
                        <span><%= link_to 'Tickets On hold', tickets_path(status: "in_progress"),style: 'color:#ffffff;'  %></span>
                    </div>
                    <div style="clear:both;"></div>
                </div>
            </div>
        </div>

        <div class="col-lg-3 col-sm-6">
            <div class="bg-warning dasboard-warning chart-filter" data-url="<%= chart_data_manager_dashboard_path(filter: 'closed') %>">
                <div class="sales-warning">
                    <div class="f-right">
                        <h2 class="counter" style="float: none;"><%= @tickets.where(status: "closed").count %></h2>
                        <span><%= link_to 'Tickets Resolved', tickets_path(status: "closed"),style: 'color:#ffffff;' %></span>
                    </div>
                    <div style="clear:both;"></div>
                </div>
            </div>
        </div>
   
        <div class="col-lg-3 col-sm-6">
            <div class="bg-facebook dashboard-facebook chart-filter" data-url="<%= chart_data_manager_dashboard_path(filter: 'all') %>">
                <div class="sales-facebook">
                    <div class="f-right">
                        <h2 class="counter" style="float: none;"><%= @tickets.count %></h2>
                        <span><%= link_to 'Total Tickets Logged', tickets_path(status: "all"),style: 'color:#ffffff;' %></span>
                    </div>
                    <div style="clear:both;"></div>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-lg-9 col-md-8">
            <div class="col-sm-12 card">
                <div class="card-block">
                  <%= hidden_field_tag :pie_data_url, chart_data_manager_dashboard_path, class: 'pie-chart-data-url' %>
                  <h5 class='chart-title text-center'>All tickets</h5>
                  <div style="max-width: 300px; margin: auto;">
                    <canvas id="pieChart" width="400" height="400"></canvas>
                  </div>
                </div>
            </div>
        </div>

        <div class="col-lg-3 col-md-4">
            <div class="col-sm-12 card dashboard-product">
                <span>All Assets</span>
                <h2 class="dashboard-total-products counter"></h2>
                <div class="side-box bg-warning">
                    <i class="icon-social-soundcloud"></i>
                </div>
            </div>
        </div>

        <div class="col-lg-3 col-md-4">
            <div class="col-sm-12 card dashboard-product">
                <span>Assets with warranty Expiring</span>
                <h2 class="dashboard-total-products counter"></h2>
                <div class="side-box bg-primary">
                    <i class="icon-social-soundcloud"></i>
                </div>
            </div>
        </div>

        <div class="col-lg-3 col-md-4">
            <div class="col-sm-12 card dashboard-product">
                <span>Assets in use</span>
                <h2 class="dashboard-total-products"><span class="counter"></span></h2>
                <div class="side-box bg-success">
                    <i class="icon-bubbles"></i>
                </div>
            </div>
        </div>
    </div>

    <br />

    <div class="row">
        <div class="col-xl-5">
            <div class="card o-auto">
                <div class="cw-widget">
                    <div class="upper">
                        <div class="row">
                            <div class="col-xl-6">
                                <svg version="1.1" id="cloudDrizzleSun" class="climacon climacon_cloudDrizzleSun" viewBox="15 15 70 70">
                                    <clipPath id="cloudFillClip">
                                        <path d="M15,15v70h70V15H15z M59.943,61.639c-3.02,0-12.381,0-15.999,0c-6.626,0-11.998-5.371-11.998-11.998c0-6.627,5.372-11.999,11.998-11.999c5.691,0,10.434,3.974,11.665,9.29c1.252-0.81,2.733-1.291,4.334-1.291c4.418,0,8,3.582,8,8C67.943,58.057,64.361,61.639,59.943,61.639z"></path>
                                    </clipPath>
                                    <clipPath id="sunCloudFillClip">
                                        <path d="M15,15v70h70V15H15z M57.945,49.641c-4.417,0-8-3.582-8-7.999c0-4.418,3.582-7.999,8-7.999s7.998,3.581,7.998,7.999C65.943,46.059,62.362,49.641,57.945,49.641z"></path>
                                    </clipPath>
                                    <clipPath id="cloudSunFillClip">
                                        <path d="M15,15v70h20.947V63.481c-4.778-2.767-8-7.922-8-13.84c0-8.836,7.163-15.998,15.998-15.998c6.004,0,11.229,3.312,13.965,8.203c0.664-0.113,1.338-0.205,2.033-0.205c6.627,0,11.998,5.373,11.998,12c0,5.262-3.394,9.723-8.107,11.341V85H85V15H15z"></path>
                                    </clipPath>
                                    <g class="climacon_iconWrap climacon_iconWrap-cloudDrizzleSun">
                                        <g clip-path="url(#cloudSunFillClip)">
                                            <g class="climacon_componentWrap climacon_componentWrap-sun climacon_componentWrap-sun_cloud">
                                                <g class="climacon_componentWrap climacon_componentWrap_sunSpoke">
                                                    <path class="climacon_component climacon_component-stroke climacon_component-stroke_sunSpoke climacon_component-stroke_sunSpoke-north" d="M80.029,43.611h-3.998c-1.105,0-2-0.896-2-1.999s0.895-2,2-2h3.998c1.104,0,2,0.896,2,2S81.135,43.611,80.029,43.611z"></path>
                                                    <path class="climacon_component climacon_component-stroke climacon_component-stroke_sunSpoke climacon_component-stroke_sunSpoke-north" d="M72.174,30.3c-0.781,0.781-2.049,0.781-2.828,0c-0.781-0.781-0.781-2.047,0-2.828l2.828-2.828c0.779-0.781,2.047-0.781,2.828,0c0.779,0.781,0.779,2.047,0,2.828L72.174,30.3z"></path>
                                                    <path class="climacon_component climacon_component-stroke climacon_component-stroke_sunSpoke climacon_component-stroke_sunSpoke-north" d="M58.033,25.614c-1.105,0-2-0.896-2-2v-3.999c0-1.104,0.895-2,2-2c1.104,0,2,0.896,2,2v3.999C60.033,24.718,59.135,25.614,58.033,25.614z"></path>
                                                    <path class="climacon_component climacon_component-stroke climacon_component-stroke_sunSpoke climacon_component-stroke_sunSpoke-north" d="M43.892,30.3l-2.827-2.828c-0.781-0.781-0.781-2.047,0-2.828c0.78-0.781,2.047-0.781,2.827,0l2.827,2.828c0.781,0.781,0.781,2.047,0,2.828C45.939,31.081,44.673,31.081,43.892,30.3z"></path>
                                                    <path class="climacon_component climacon_component-stroke climacon_component-stroke_sunSpoke climacon_component-stroke_sunSpoke-north" d="M42.033,41.612c0,1.104-0.896,1.999-2,1.999h-4c-1.104,0-1.998-0.896-1.998-1.999s0.896-2,1.998-2h4C41.139,39.612,42.033,40.509,42.033,41.612z"></path>
                                                    <path class="climacon_component climacon_component-stroke climacon_component-stroke_sunSpoke climacon_component-stroke_sunSpoke-north" d="M43.892,52.925c0.781-0.78,2.048-0.78,2.827,0c0.781,0.78,0.781,2.047,0,2.828l-2.827,2.827c-0.78,0.781-2.047,0.781-2.827,0c-0.781-0.78-0.781-2.047,0-2.827L43.892,52.925z"></path>
                                                    <path class="climacon_component climacon_component-stroke climacon_component-stroke_sunSpoke climacon_component-stroke_sunSpoke-north" d="M58.033,57.61c1.104,0,2,0.895,2,1.999v4c0,1.104-0.896,2-2,2c-1.105,0-2-0.896-2-2v-4C56.033,58.505,56.928,57.61,58.033,57.61z"></path>
                                                    <path class="climacon_component climacon_component-stroke climacon_component-stroke_sunSpoke climacon_component-stroke_sunSpoke-north" d="M72.174,52.925l2.828,2.828c0.779,0.78,0.779,2.047,0,2.827c-0.781,0.781-2.049,0.781-2.828,0l-2.828-2.827c-0.781-0.781-0.781-2.048,0-2.828C70.125,52.144,71.391,52.144,72.174,52.925z"></path>
                                                </g>
                                                <g class="climacon_wrapperComponent climacon_wrapperComponent-sunBody" clip-path="url(#sunCloudFillClip)">
                                                <circle class="climacon_component climacon_component-stroke climacon_component-stroke_sunBody" cx="58.033" cy="41.612" r="11.999"></circle>
                                            </g>
                                        </g>
                                    </g>
                                    <g class="climacon_wrapperComponent climacon_wrapperComponent-drizzle">
                                        <path class="climacon_component climacon_component-stroke climacon_component-stroke_drizzle climacon_component-stroke_drizzle-left" d="M42.001,53.644c1.104,0,2,0.896,2,2v3.998c0,1.105-0.896,2-2,2c-1.105,0-2.001-0.895-2.001-2v-3.998C40,54.538,40.896,53.644,42.001,53.644z"></path>
                                        <path class="climacon_component climacon_component-stroke climacon_component-stroke_drizzle climacon_component-stroke_drizzle-middle" d="M49.999,53.644c1.104,0,2,0.896,2,2v4c0,1.104-0.896,2-2,2s-1.998-0.896-1.998-2v-4C48.001,54.54,48.896,53.644,49.999,53.644z"></path>
                                        <path class="climacon_component climacon_component-stroke climacon_component-stroke_drizzle climacon_component-stroke_drizzle-right" d="M57.999,53.644c1.104,0,2,0.896,2,2v3.998c0,1.105-0.896,2-2,2c-1.105,0-2-0.895-2-2v-3.998C55.999,54.538,56.894,53.644,57.999,53.644z"></path>
                                    </g>
                                    <g class="climacon_wrapperComponent climacon_wrapperComponent-cloud" clip-path="url(#cloudFillClip)">
                                        <path class="climacon_component climacon_component-stroke climacon_component-stroke_cloud" d="M63.999,64.944v-4.381c2.387-1.386,3.998-3.961,3.998-6.92c0-4.418-3.58-8-7.998-8c-1.603,0-3.084,0.481-4.334,1.291c-1.232-5.316-5.973-9.29-11.664-9.29c-6.628,0-11.999,5.372-11.999,12c0,3.549,1.55,6.729,3.998,8.926v4.914c-4.776-2.769-7.998-7.922-7.998-13.84c0-8.836,7.162-15.999,15.999-15.999c6.004,0,11.229,3.312,13.965,8.203c0.664-0.113,1.336-0.205,2.033-0.205c6.627,0,11.998,5.373,11.998,12C71.997,58.864,68.655,63.296,63.999,64.944z"></path>
                                    </g>
                                </g>
                                 </svg>
                            </div>
                            <div class="col-xl-6 text-right">
                                <div class="date"></div>
                                <div class="year"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-7 col-lg-7 grid-item">
            <div class="card">
                <div class="card-header">
                    <h5 class="card-header-text">To Do List</h5>
                </div>

                <div class="card-block">
                    <div id="todo-lists">
                        <%= render 'todos/index', todos: @todos %>
                    </div>
                </div>
            </div>
        </div>

    <div class="row">
        <div class="col-xl-8 col-lg-12">
            <div class="card">
                <div class="card-block">
                    <div class="table-responsive">
                        <table class="table m-b-0 photo-table">
                            <thead>
                                <tr class="text-uppercase">
                                    <th>Photo</th>
                                    <th>Ticket</th>
                                    <th>Status</th>
                                    <th>Date</th>
                                </tr>
                            </thead>
                            <tbody>
                                <% @tickets.order(created_at: "desc").each do |ticket| %>
                                    <tr>
                                        <th>
                                            <%= image_tag 'avatar-2.png', class: 'd-inline-block img-circle' %>
                                        </th>
                                        <td><%= ticket.subject  %>
                                            <p><i class="icofont icofont-clock-time"></i><%= ticket.created_at.strftime TIME_FORMAT1 %></p>
                                        </td>
                                        <td><%= Ticket::STATUSES[ticket.status] %></td>
                                        <td><%= ticket.created_at.strftime TIME_FORMAT1 %></td>
                                    </tr>
                                <% end %>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-xl-4 col-lg-12">
            <div class="card">
                <div style="text-align: center;">
                    <%= image_tag 'avatar-2.png', class: 'd-inline-block img-circle' %>
                    <br />
                    <h5><%= current_user.name %></h5>
                    <h6><%= User::ROLES[current_user.role] %></h6>
                </div>
                <div class="card-block">
                    <div class="user-block-2-activities">
                        <div class="user-block-2-active">
                            <i class="icofont icofont-clock-time"></i> <%=link_to  'Recent Activities' %>
                            <label class="label label-primary">480</label>
                        </div>
                    </div>
                    <div class="user-block-2-activities">
                        <div class="user-block-2-active">
                            <i class="icofont icofont-users"></i><%=link_to  'Current Employees', manager_users_path %>
                            <label class="label label-primary"><%= @users.count %></label>
                        </div>
                    </div>
                    <div style="text-align: center;">
                        <%=link_to account_path, class: "btn btn-primary waves-effect waves-light d-inline-block md-trigger", 'data-modal': "modal-13" do %>
                            <i class="icofont icofont-plus m-r-5"></i>Edit Account
                        <% end %>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</div>

<script>

$(document).ready(function(){
            var monthNames = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
            function init() {
                var date = new Date();
                $('.date').text(monthNames[date.getMonth()] + ' ' + date.getDate());
                $('.year').text(date.getFullYear());
            }
            init();
});
</script>
